Bug 123287 - /sbin/loader hangs (hard freeze)
/sbin/loader hangs (hard freeze)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-15 17:00 EDT by Sven Neuhaus
Modified: 2015-01-04 17:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:03:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sven Neuhaus 2004-05-15 17:00:59 EDT
Description of problem:

Installation hangs after the message "/sbin/loader loading"

Version-Release number of selected component (if applicable):

Fedora Core 2 DVD (final)

How reproducible:

Steps to Reproduce:
1. boot from DVD
2. the line "/sbin/loader starting" appears
3. the USB mouse will light up then the light goes off completely
  
Actual results:

The system hangs (can't even enter character on the keyboard)

Expected results:

Installation continues

Additional info:

I tried various options, such as noprobe, nofb and text
The machine contains a working FC1 installation.

Hardware:
Mainboard: ASRock K7S8X Rev3.01
512 MB DDR-333 RAM
Athlon XP 2500 FSB 333
Sapphire ATI 9800 Pro 128MB AGP
PCI Gigabit Ethernet compu-shack Gigaline (sk98lin driver)
Soundblaster Live! MP3 PCI
60 GB IDE drive

lspci output (from FC1):
$ lspci
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 746 Host (rev 02)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SG86C202
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS85C503/5513
(LPC Bridge) (rev 25)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 2.0
Controller
00:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1
(rev 05)
00:0a.1 Input device controller: Creative Labs SB Live! MIDI/Game Port
(rev 05)
00:0d.0 Ethernet controller: Marvell: Unknown device 4320 (rev 12)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R350
[Radeon 9800]
01:00.1 Display controller: ATI Technologies Inc Radeon R350 [Radeon
9800] (Secondary)
Comment 1 Sven Neuhaus 2004-05-18 18:14:34 EDT
Do you have any idea what might cause this? Do you need additional input?
Comment 2 Jeremy Katz 2004-05-18 18:25:07 EDT
What sort of USB hardware is attached to the system?  Does 'linux
nousb' work (aside from the fact that your USB mouse will obviously
not work then)
Comment 3 Sven Neuhaus 2004-05-19 18:39:50 EDT
Yes, I managed to install FC2 using "linux nousb". The USB mouse even
worked during graphical install ?!! (albeit erratically).

Without the "nousb" option, the installation hangs when the mouse is
connected. It's a standard Logitech USB optical mouse. Now that the
installation is through, it works fine in X11.

Here's my /proc/usb/devices in FC2:

T:  Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 6
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.5-1.358 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:03.2
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=256ms

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 3
B:  Alloc= 11/900 us ( 1%), #Int=  1, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.5-1.358 ohci_hcd
S:  Product=OHCI Host Controller
S:  SerialNumber=0000:00:03.1
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=1.5 MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c00e Rev=11.10
S:  Manufacturer=Logitech
S:  Product=USB-PS/2 Optical Mouse
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr= 98mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=hid
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=10ms

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 3
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.5-1.358 ohci_hcd
S:  Product=OHCI Host Controller
S:  SerialNumber=0000:00:03.0
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

Comment 4 Jeff Frost 2004-05-21 01:11:21 EDT
I had this identical problem with similar hardware, and the fix to get
FC 2 installed was unplugging my usb epson stylus photo printer.  My
USB mouse is still installed and worked during installation.  I can
get you more info on my problems if desired.
Comment 5 Volker Englisch 2004-06-28 01:23:58 EDT
I'm having what appears to be the same problem but I don't have any
USB device.  I am trying to install FC2 from CD.  I see the line 
  Running /sbin/loader
then the system shows a page with trace information with the final
message of 
  <0>Kernel panic: Fatal exception in interrupt
 In interrupt handler - not syncing

I'm running FC1 without any problem.
My system is a Gateway GP6-266
Keyboard
PS/2 mouse
Video, audio, Ethernet, printer + internal CD-ROM, CD-RW
Comment 6 Mick Weiss 2004-07-01 00:26:22 EDT
I had a similar problem, the workaround (for me) was to not install
via the DVD drive. The CD burner worked just fine though.

Hope this helps someone.

Hardware: No USB attached, standard black Dell (celeron). Compaq DVD
player Model SD-608 

Best Regards,

- Mick

(o> Web / software developer 
( )     UNIX Systems Admin
---   ~ www.mickweiss.com ~
Comment 7 Sven Neuhaus 2004-11-09 16:14:52 EST
See also bug #123287 (Fedora Core 3)
Comment 8 Sven Neuhaus 2004-11-09 16:15:54 EST
Sorry, I meant bug #138523
Comment 9 Dave Jones 2005-04-16 02:03:44 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.